# Gmail API

## Contents of this file

 - Introduction 
 - Installation
 - Requirements
 - Configuration
 - Maintainers

## Introduction

This module adds Gmail API mailer functionality to Drupal.

## Requirements

- Access to an gmail server that will accept mail from you.
- The following PHP extensions need to be installed: hash, date & pcre.
- The PHPMailer class has been unbundled, and must be installed with composer.
  Refer to https://github.com/PHPMailer/PHPMailer for details.

- Optional: To connect to an gmail server using SSL, you need to have the
  openssl package installed on your server, and your webserver and PHP
  installation need to have additional components installed and configured.

## Installation

1.  Install this module using Composer. 
    - Doing so will also install the PHPMailer dependency.
    `composer require phpmailer/phpmailer`
    `composer require phpmailer/phpmailer:6.1.7`
2.  Enable the module:
    a.  Login as site administrator, visit the Extend page, and enable gmail.
    b.  Run "drush pm-enable gmail" on the command line.
3.  Enable the gmail Authentication Support module on the Manage -> Extend
    page.
4.  Fill in required settings on the Manage -> Configuration -> System ->
    Gmail API page.
5.  Enjoy.

## Configuration

- Configure the user permissions in Administration -> People -> Permissions:
    - Administer gmail api configuration.

## Maintainers

Current maintainers:
- Jeya sundhar - [Jeya sundhar](https://www.drupal.org/u/jeya-sundhar)
